import { connect } from 'dva'
import { Form } from 'antd'
import TreeComponent from "../../baseComponents/TreeComponent/HIndex"

class HTreePage extends TreeComponent {
  constructor(props) {
    super(props)
    this.state = {
      formData: {},
      data: {},
      treePage: {},
      treeConfig: {},
      treeLoadParam: {}
    }
  }
}

export default connect(({ app, loading, treePage, login, custom }) => ({ app, loading, treePage, login, custom }))(Form.create()(HTreePage))
